about summary refs log tree commit diff stats
path: root/home-manager/soispha/config/lf/commands/scripts/go_project_root
diff options
context:
space:
mode:
Diffstat (limited to 'home-manager/soispha/config/lf/commands/scripts/go_project_root')
-rwxr-xr-xhome-manager/soispha/config/lf/commands/scripts/go_project_root13
1 files changed, 13 insertions, 0 deletions
diff --git a/home-manager/soispha/config/lf/commands/scripts/go_project_root b/home-manager/soispha/config/lf/commands/scripts/go_project_root
new file mode 100755
index 00000000..ce4081f3
--- /dev/null
+++ b/home-manager/soispha/config/lf/commands/scripts/go_project_root
@@ -0,0 +1,13 @@
+#!/usr/bin/env dash
+
+# shellcheck source=/dev/null
+SHELL_LIBRARY_VERSION="1.1.4" . %SHELL_LIBRARY_PATH
+
+flake_base_dir="$(search_flake_base_dir)";
+if [ "$flake_base_dir" ]; then
+    cd "$flake_base_dir" || die "Bug: No base dir ($flake_base_dir)"
+else
+    die "Unable to locate base dir";
+fi
+
+# vim: ft=sh